Overview | Modules | Class Hierarchy | Classes | Members

# tlp::FastBezier Class Reference

`#include <FastBezier.h>`

List of all members.

## Static Public Member Functions

- static void computeLinearBezierPoints (const Coord &p0, const Coord &p1, std::vector< Coord > &curvePoints, const unsigned int nbCurvePoints=20)
- static void computeQuadraticBezierPoints (const Coord &p0, const Coord &p1, const Coord &p2, std::vector< Coord > &curvePoints, const unsigned int nbCurvePoints=20)
- static void computeCubicBezierPoints (const Coord &p0, const Coord &p1, const Coord &p2, const Coord &p3, std::vector< Coord > &curvePoints, const unsigned int nbCurvePoints=20)
- static void computeBezierPoints (const std::vector< Coord > &controlPoints, std::vector< Coord > &curvePoints, const unsigned int nbCurvePoints=20)
- static void computeSplinePoints (const std::vector< Coord > &splinePassPoints, std::vector< Coord > &splinePoints, const bool closedSpline=false, const unsigned int nbPointsPerSegment=20)

## Member Function Documentation

static void tlp::FastBezier::computeBezierPoints | ( | const std::vector< Coord > & | controlPoints,
|  | std::vector< Coord > & | curvePoints,
|  | const unsigned int | nbCurvePoints = `20`
| ) | `[static]`

static void tlp::FastBezier::computeCubicBezierPoints | ( | const Coord & | p0,
|  | const Coord & | p1,
|  | const Coord & | p2,
|  | const Coord & | p3,
|  | std::vector< Coord > & | curvePoints,
|  | const unsigned int | nbCurvePoints = `20`
| ) | `[static]`

static void tlp::FastBezier::computeLinearBezierPoints | ( | const Coord & | p0,
|  | const Coord & | p1,
|  | std::vector< Coord > & | curvePoints,
|  | const unsigned int | nbCurvePoints = `20`
| ) | `[static]`

static void tlp::FastBezier::computeQuadraticBezierPoints | ( | const Coord & | p0,
|  | const Coord & | p1,
|  | const Coord & | p2,
|  | std::vector< Coord > & | curvePoints,
|  | const unsigned int | nbCurvePoints = `20`
| ) | `[static]`

static void tlp::FastBezier::computeSplinePoints | ( | const std::vector< Coord > & | splinePassPoints,
|  | std::vector< Coord > & | splinePoints,
|  | const bool | closedSpline = `false`,
|  | const unsigned int | nbPointsPerSegment = `20`
| ) | `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010